# Uses of Interface
org.apache.wiki.auth.user.UserDatabase

Packages that use UserDatabase
Package
Description
org.apache.wiki.auth
Authentication, Authorization and the third A thing.
org.apache.wiki.auth.login
Provides the different login modules that JSPWiki uses.
org.apache.wiki.auth.user

## Uses of UserDatabase in org.apache.wiki.auth

Methods in org.apache.wiki.auth that return UserDatabase
Modifier and Type
Method
Description
`UserDatabase`
DefaultUserManager.`getUserDatabase()`
Returns the UserDatabase employed by this Engine.
`UserDatabase`
UserManager.`getUserDatabase()`
Returns the UserDatabase employed by this Engine.

## Uses of UserDatabase in org.apache.wiki.auth.login

Methods in org.apache.wiki.auth.login that return UserDatabase
Modifier and Type
Method
Description
`UserDatabase`
UserDatabaseCallback.`getUserDatabase()`
Returns the user database object.
Methods in org.apache.wiki.auth.login with parameters of type UserDatabase
Modifier and Type
Method
Description
`void`
UserDatabaseCallback.`setUserDatabase(UserDatabase database)`
Sets the user database.

## Uses of UserDatabase in org.apache.wiki.auth.user

Classes in org.apache.wiki.auth.user that implement UserDatabase
Modifier and Type
Class
Description
`class`
`AbstractUserDatabase`
Abstract UserDatabase class that provides convenience methods for finding profiles, building Principal collections and hashing passwords.
`class`
`DummyUserDatabase`
This is a database that gets used if nothing else is available.
`class`
`JDBCUserDatabase`
Implementation of UserDatabase that persists `DefaultUserProfile` objects to a JDBC DataSource, as might typically be provided by a web container.
`class`
`XMLUserDatabase`
Manages `DefaultUserProfile` objects using XML files for persistence.
Methods in org.apache.wiki.auth.user with parameters of type UserDatabase
Modifier and Type
Method
Description
`protected static String`
AbstractUserDatabase.`generateUid(UserDatabase db)`
Generates a new random user identifier (uid) that is guaranteed to be unique.